{ pkgs ? import <nixpkgs> {} }:

let
  hscloudSrc = pkgs.fetchgit {
    url = "https://gerrit.hackerspace.pl/hscloud.git";
    name = "hscloud";
    rev = "b1de757249ec13a4bdd70e900b90c31851725ebd";
    sha256 = "0i0ky65l3asvlf3arjf6s8z529h71q5dqmavcfadncmf90kvpk59";
  };

  # building this is pretty much impossible on customs. Build it on another machine:
  #     local $ # get this from a nixos-rebuild build output on customs
  #     local $ deriv=/nix/store/0qn1xw00bsdndlpllbpis8pm6y0qmb3s-laserproxy.drv
  #     local $ nix-copy-closure --from root@customs.hackerspace.pl $deriv
  #     local $ nix build $deriv
  #     local $ nix-copy-closure --to root@customs.hackerspace.pl $deriv -s --include-outputs
  #   customs # nixos-rebuild build

  hscloud = import "${hscloudSrc}/default.nix" { inherit pkgs; };
in hscloud.hswaw.laserproxy
